/*********************************************************************************/
/* Matrix product program with MPI on a virtual ring of processors               */
/* S. Vialle - December 2019                                                     */
/*********************************************************************************/

#ifndef __INIT__
#define __INIT__


void ProcessInit(void);                          // Process init (after cmd line parsing)
void LocalMatrixAllocInit(void);                 // Data alloc & init
void LocalMatrixCleanup(void);                   // Data cleanup

void usage(int ExitCode, FILE *std);             // Cmd line parsing and usage
void CommandLineParsing(int argc, char *argv[]); 

void PrintStartingMsg(void);                            // Comput. config. printing
void PrintResultsAndPerf(double megaflops, double d1); // Res & perf printing


#endif

// END
